Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque
Class BaseTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.torque.BaseTestCase

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  BasePeerImplTest, BigDecimalMapperTest, ColumnImplTest, ColumnMapTest, CompositeMapperTest, CriteriaTest, CriteriaTest, CriterionTest, DateMapperTest, IntegerMapperTest, JoinTest, LongMapperTest, ObjectListMapperTest, QueryTest, SqlBuilderOldCriteriaTest, SqlBuilderTest, StringMapperTest, TorqueInstanceTest, TorqueRuntimeExceptionTest

    public abstract class BaseTestCase

extends junit.framework.TestCase

Base functionality to be extended by all Torque test cases. Test case implementations are used to automate unit testing via JUnit.

Version:
  $Id: BaseTestCase.java 1375888 2012-08-22 03:51:00Z tfischer $
Author:
  Daniel Rall, Christopher Elkins

Field Summary
`static String` | `CONFIG_FILE` The path to the configuration file.
`protected org.apache.torque.Database` | `database` A Reference to the postgresql (default) database.
`protected org.apache.torque.map.DatabaseMap` | `databaseMap` A pre-filled database map.
`protected org.apache.torque.Database` | `databaseMysql` A Reference to the mysql database.
`protected org.apache.torque.Database` | `databaseOracle` A Reference to the oracle database.
`protected org.apache.torque.Database` | `databasePostgresql` A Reference to the postgresql (default) database.
`protected org.apache.torque.map.ColumnMap` | `integerColumnMap` A pre-filled Integer column map.
`protected org.apache.torque.map.ColumnMap` | `stringColumnMap` A pre-filled String column map.
`protected org.apache.torque.map.TableMap` | `tableMap` A pre-filled table map.

Constructor Summary
`BaseTestCase()`

Method Summary
`void` | `setUp()` Re-Initialize Torque and fill supplied data.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONFIG_FILE

    public static final String CONFIG_FILE

  The path to the configuration file.

  See Also:
    Constant Field Values

### tableMap

    protected org.apache.torque.map.TableMap tableMap

  A pre-filled table map.

### databaseMap

    protected org.apache.torque.map.DatabaseMap databaseMap

  A pre-filled database map.

### database

    protected org.apache.torque.Database database

  A Reference to the postgresql (default) database.

### databasePostgresql

    protected org.apache.torque.Database databasePostgresql

  A Reference to the postgresql (default) database.

### databaseMysql

    protected org.apache.torque.Database databaseMysql

  A Reference to the mysql database.

### databaseOracle

    protected org.apache.torque.Database databaseOracle

  A Reference to the oracle database.

### stringColumnMap

    protected org.apache.torque.map.ColumnMap stringColumnMap

  A pre-filled String column map.

### integerColumnMap

    protected org.apache.torque.map.ColumnMap integerColumnMap

  A pre-filled Integer column map.

Constructor Detail

### BaseTestCase

    public BaseTestCase()

Method Detail

### setUp

    public void setUp()
               throws Exception

  Re-Initialize Torque and fill supplied data. Subclasses which override setUp() must call super.setUp() as their first action.

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `Exception` - if initialisation fails.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.